//
// Created by cr on 17/01/23.
//

#ifndef FWI_SOURCEINVERSION_HPP
#define FWI_SOURCEINVERSION_HPP

#include "Observation/DGSeismogram.hpp"
#include "Observation/FWIObservationOperatorDGTS.hpp"
#include "Observation/FWIObservationOperatorSpaceDGTS.hpp"
#include "Problems/Sources/FWISourceWavelet.hpp"

void SourceInversion(const DGSeismogram &obs, const DGSeismogram &fwd, const Point &srcPos,
                     SourceWaveletBase &src, const FWIObservationOperatorSpaceDGTS * SpOp, double eps,
                     double kappa);


#endif //FWI_SOURCEINVERSION_HPP
