//
// Created by cr on 15/03/23.
//

#ifndef FWI_FWILINEARIZEDADJOINT_HPP
#define FWI_FWILINEARIZEDADJOINT_HPP
#include <string>
#include <map>

using ConfigMap = std::map<std::string, std::string>;
const ConfigMap TestFWILinearizedAdjoint{
    {"ConfigVerbose",                  "-2"},
    {"ForwardSolver",                  "VADGTS"},
    {"Distribution",                   "RCB"},
    {"Model",                          "FWIInverse_DGTS"},
    {"CountCellsOld",                  "0"},
    {"dim",                            "1"},
    {"taup_bg",                        "0.1"},
    {"Mesh",                           "oneDim"},
    {"Problem",                        "Benchmark1D"},
    {"startingValue_",                 "1"},
    {"Preconditioner_S",               "PointBlockJacobi"},
    {"Preconditioner_M",               "PointBlockJacobi"},
    {"Problem",                        "VAcousticWaveC2Benchmark"},
    {"ReconstructionType",             "Classical"},
    {"sourceSpace",                    "2"},
    {"useTaper",                       "0"},
    {"taperRadiusSource",              "0"},
    {"taperRadiusReceiver",            "100"},
    {"taperExponent",                  "-0.1"},
    {"taperIgnoreReceiverCells",       "1"},
    {"taperIgnoreSourceCells",         "0"},
    {"Monoparam",                      "Vp"},
    {"SignalName",                     "Ricker"},
    {"SignalFreq",                     "10"},
    {"SignalCutoff",                   "0"},
    {"SignalDelay",                    "0"},
    {"numberOfSourcesPerShot",         "1"},
    {"rho_bg",                         "2"  },
    {"v_bg",                           "5.0"},
    {"size_perturb",                   "0"},
    {"ReceiverWaypoints",           "2"},
    {"ReceiverWaypoint0",           "2.1 0"},
    {"ReceiverWaypoint1",           "3.43 0"},
    {"ReceiverCount0",              "20"},
    {"UseSparseMatrix",                "1"},
    {"f_source",                       "10"},
    {"FWISourceWaypoints",             "2"},
    {"FWISourceWaypoint0",             "0.5, 0"},
    {"FWISourceWaypoint1",             "0.5, 0"},
    {"FWISourceCount0",                "1"},
    {"numL",                           "2"},
    {"MeasureComp",                    "0"},
    {"source_component",               "2"},
    {"allowPlotting_M",                "1"},
    {"allowPlotting_WF",               "1"},
    {"plotFactor",                     "1"},
    {"parametrization",                "taup_positive"},
    {"T",                              "1.00"},
    {"dt",                             "0.005"},
    {"deg",                            "1"},
    {"level",                          "8"},
    {"plot_tStep",                     "-1"},
    {"rkorder",                        "-2"},
    {"Overlap",                        "dG1"},
    {"LinearSolver",                   "LS"},
    {"LinearVerbose",                  "-1"},
    {"FWIReconstructRho",              "0"},
    {"FWIReconstructV_P",              "1"},
    {"plotV",                          "1"}
};


#endif //FWI_FWILINEARIZEDADJOINT_HPP
