import sys
from datetime import datetime

ssh_command = "ssh -t pde{num:02}.cluster "
tmux_open = "\"tmux new-session -d -s {name:1};"
tmux_path = "tmux send-keys \'cd {path:1}\' C-m;"
tmux_pull = "tmux send-keys \'git pull\' C-m;"
tmux_checkout = "tmux send-keys \'git checkout {branch:1}\' C-m;"
tmux_cmake = "tmux send-keys \'cmake ..\' C-m;"
tmux_exe = "tmux send-keys \' python3 pdepipeline.py {alias} {project_path} {ci_job_name} {nr_processes} \' C-m;\""

cfg = {'path': '/home2/cr/FWIMain/build/',
       'scc_alias': 'tx6298',
       'project_path': '/lsdf/kit/ianm/projects/mppci/fwi/',
       'branch': str(sys.argv[1]),
       'ci_job_name': str(sys.argv[2]),
       'pde': int(sys.argv[3]),
       '-n': str(sys.argv[4])
       }
s = cfg['ci_job_name'] + datetime.now().isoformat(timespec='seconds').replace(':', '-')
print('git push')
print(ssh_command.format(num=cfg['pde']) + tmux_open.format(name=s) + tmux_path.format(path=cfg['path'])
      + tmux_pull + tmux_checkout.format(branch=cfg['branch']) + tmux_cmake + tmux_exe.format(alias=cfg['scc_alias'],
       project_path=cfg['project_path'], ci_job_name=cfg['ci_job_name'], nr_processes=cfg['-n']))
